apiVersion: 1

providers:
{% for dashboard_provider in grafana_dashboard_providers %}
{% if dashboard_provider.enabled %}
- name: {{ dashboard_provider.folder }}
  orgId: 1
  folder: {{ dashboard_provider.folder }}
  type: file
  disableDeletion: {{ dashboard_provider.disableDeletion | lower }}
  updateIntervalSeconds: {{ dashboard_provider.updateIntervalSeconds }}
  editable: {{ dashboard_provider.editable | lower }}
  options:
    path: {{ grafana_dashboards_path }}/{{ dashboard_provider.name }}-dashboard
{% endif %}
{% endfor %}
